# doInDefault

inline suspend fun < T > doInDefault (noinline block: suspend CoroutineScope.() -> T ): T (source)

Executes the given block on the Default dispatcher and returns its result. This is a convenience function for executing CPU-intensive operations.

#### Return

The result of executing the block

#### Parameters

block

The suspending function to execute on the Default dispatcher

#### Type Parameters

T

The return type of the block